Skip to main content
PATCH
/
agents
/
{agent_id}
Update Agent
curl --request PATCH \
  --url https://api.ara.so/agents/{agent_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "system_prompt": "<string>",
  "model": "<string>",
  "max_tokens": 16384,
  "temperature": 1
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agent_id
string
required

Body

application/json
name
string | null
Required string length: 1 - 100
description
string | null
system_prompt
string | null
model
string | null
max_tokens
integer | null
Required range: 1 <= x <= 32768
temperature
number | null
Required range: 0 <= x <= 2

Response

Successful Response